CVE-2020-29600

NameCVE-2020-29600
DescriptionIn AWStats through 7.7, cgi-bin/awstats.pl?config= accepts an absolute pathname, even though it was intended to only read a file in the /etc/awstats/awstats.conf format. NOTE: this issue exists because of an incomplete fix for CVE-2017-1000501.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2506-1
NVD severityhigh
Debian Bugs891469

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
awstats (PTS)stretch7.6+dfsg-1+deb9u1vulnerable
stretch (security)7.6+dfsg-1+deb9u2fixed
buster7.6+dfsg-2vulnerable
bullseye, sid7.8-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
awstatssourcestretch7.6+dfsg-1+deb9u2DLA-2506-1
awstatssource(unstable)7.8-1891469

Notes

https://github.com/eldy/awstats/issues/90
https://github.com/eldy/awstats/commit/d4d815d0caae3dbae83ac70a1ae4581bd57cf376

Search for package or bug name: Reporting problems